Bug 4117 - hwclock cannot work in timezone Asia/Kamchatka
: hwclock cannot work in timezone Asia/Kamchatka
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hwclock)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-05-12 01:46 by
Modified: 2005-07-13 15:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-05-12 01:46:53
hwclock --show

Results in:
--------------------------------------------------------------------------
hwclock: Unable to read/interpret adjtime file.  Third line of adjtime file
'/etc/adjtime' is invalid.
Timezone offset value -46800 is invalid.  It is seconds west of the prime
meridian, which means an integer between -43200 and 43200, inclusive.
Setting system clock (localtime): Sun May  9 16:42:58 PETST 2004 
--------------------------------------------------------------------------

Steps to Reproduce:
1.Set timezone Asia/Kamchatka
2.Use Local Time
3.2 times use hwclock
------- Comment #1 From 2004-06-02 20:07:45 -------
Fixed in hwclock-2.23-alt3.